TvService Struct Reference
Sample Code

`#include <tv_device.h>`

Collaboration diagram for TvService:
[legend]

## Data Fields

char | UDN [(size_t) 256]
char | ServiceId [(size_t) 256]
char | ServiceType [(size_t) 256]
const char * | VariableName [4]
char * | VariableStrVal [4]
const char * | ActionNames [12]
upnp_action | actions [12]
int | VariableCount

## Detailed Description

Structure for storing Tv Service identifiers and state table.

## Field Documentation

## ActionNames

const char* TvService::ActionNames[12]

Referenced by SetActionTable(), and TvDeviceHandleActionRequest().

## actions

upnp_action TvService::actions[12]

Referenced by SetActionTable().

## ServiceId

char TvService::ServiceId[(size_t) 256]

Referenced by SetServiceTable(), TvDeviceHandleActionRequest(), TvDeviceHandleGetVarRequest(), TvDeviceHandleSubscriptionRequest(), and TvDeviceSetServiceTableVar().

## ServiceType

char TvService::ServiceType[(size_t) 256]

Referenced by SetServiceTable().

## UDN

char TvService::UDN[(size_t) 256]

Universally Unique Device Name.

Referenced by SetServiceTable(), TvDeviceHandleActionRequest(), TvDeviceHandleGetVarRequest(), TvDeviceHandleSubscriptionRequest(), and TvDeviceSetServiceTableVar().

## VariableCount

int TvService::VariableCount

Referenced by SetServiceTable(), TvDeviceHandleSubscriptionRequest(), and TvDeviceSetServiceTableVar().

## VariableName

const char* TvService::VariableName[4]

Referenced by TvDeviceHandleGetVarRequest(), TvDeviceHandleSubscriptionRequest(), and TvDeviceSetServiceTableVar().

## VariableStrVal

char* TvService::VariableStrVal[4]

Referenced by IncrementBrightness(), IncrementColor(), IncrementContrast(), IncrementVolume(), SetServiceTable(), TvDeviceHandleActionRequest(), TvDeviceHandleGetVarRequest(), TvDeviceHandleSubscriptionRequest(), and TvDeviceSetServiceTableVar().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/sample/common/tv_device.h